Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232921 - RFE: drop httpd dependency / add -httpd subpackage
Summary: RFE: drop httpd dependency / add -httpd subpackage
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: trac
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 496349 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-19 14:43 UTC by Till Maas
Modified: 2012-06-29 12:27 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-29 12:27:56 UTC


Attachments (Terms of Use)

Description Till Maas 2007-03-19 14:43:32 UTC
trac depends on http, assumingly because it drops files in /var/www/cgi/

Please put trac.(f)cgi in /usr/share/trac or somewhere else and maybe create a
-httpd subpackage with trac.(f)cgi.

I use trac with lighttpd which runs fine, but because of this dependency I have
to install httpd, which I do not need.

Comment 1 Jeffrey C. Ollie 2007-03-20 14:33:15 UTC
I'd rather switch the requires to "webserver" - lighttpd could the add this as a
virtual provides and then either httpd ot lighttpd would satify the requirements.

Comment 2 Till Maas 2007-03-20 15:59:23 UTC
(In reply to comment #1)
> I'd rather switch the requires to "webserver" - lighttpd could the add this as a
> virtual provides and then either httpd ot lighttpd would satify the requirements.

Trac has its own little webserver, so it would work without any other webserver.
http://trac.edgewall.org/wiki/TracStandalone

Also lighttpd does not provide /var/www/cgi-bin but uses /srv/www/lighttpd as
default document root. Besides, it does not need trac.(f)cgi to be at a special
location, so these files can be anywhere in the filesystem. Iirc this would work
 with httpd, too. So maybe dropping any webserver requires and moving
trac.(f)cgi somewhere else would be the best way. But then there is the problem
of breaking any old trac setup.

Comment 3 Bug Zapper 2008-05-14 12:11:04 UTC
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2008-06-17 01:16:38 UTC
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 5 Gwyn Ciesla 2009-09-29 17:13:35 UTC
*** Bug 496349 has been marked as a duplicate of this bug. ***

Comment 6 Till Maas 2012-06-29 11:44:07 UTC
The current Rawhide spec does not contain any httpd specific files, therefore the "Requires: httpd" can afaics safely dropped there now.

Comment 7 Gwyn Ciesla 2012-06-29 12:27:56 UTC
Right you are.  Fixed in rawhide.


Note You need to log in before you can comment on or make changes to this bug.